Package org.eclipse.ui.views.navigator

# Class ResourceNavigatorActionGroup

java.lang.Object
org.eclipse.ui.actions.ActionGroup
org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup

Direct Known Subclasses:
  `GotoActionGroup`, `MainActionGroup`, `OpenActionGroup`, `RefactorActionGroup`, `SortAndFilterActionGroup`, `WorkspaceActionGroup`

@Deprecated(forRemoval=true) public abstract class ResourceNavigatorActionGroup extends ActionGroup
Deprecated, for removal: This API element is subject to removal in a future version.
as of 3.5, use the Common Navigator Framework classes instead
This is the action group for all the resource navigator actions. It delegates to several subgroups for most of the actions.

Since:
  2.0
See Also:
  - `GotoActionGroup`
  - `OpenActionGroup`
  - `RefactorActionGroup`
  - `SortAndFilterActionGroup`
  - `WorkspaceActionGroup`
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be referenced by clients. Planned to be deleted, please see Bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=549953
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected IResourceNavigator`
`navigator`
Deprecated, for removal: This API element is subject to removal in a future version.
The resource navigator.

## Constructor Summary

Constructors
Constructor
Description
`ResourceNavigatorActionGroup(IResourceNavigator navigator)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a new navigator action group and creates its actions.

## Method Summary

Modifier and Type
Method
Description
`protected ImageDescriptor`
`getImageDescriptor(String relativePath)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the image descriptor with the given relative path.
`IResourceNavigator`
`getNavigator()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the resource navigator.
`void`
`handleKeyPressed(KeyEvent event)`
Deprecated, for removal: This API element is subject to removal in a future version.
Handles a key pressed event by invoking the appropriate action.
`protected abstract void`
`makeActions()`
Deprecated, for removal: This API element is subject to removal in a future version.
Makes the actions contained in this action group.
`void`
`runDefaultAction(IStructuredSelection selection)`
Deprecated, for removal: This API element is subject to removal in a future version.
Runs the default action in the group.

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`dispose, fillActionBars, fillContextMenu, getContext, setContext, updateActionBars`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### navigator

protected IResourceNavigator navigator
Deprecated, for removal: This API element is subject to removal in a future version.
The resource navigator.

## Constructor Details

### ResourceNavigatorActionGroup

public ResourceNavigatorActionGroup(IResourceNavigator navigator)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a new navigator action group and creates its actions.

Parameters:
  `navigator` - the resource navigator

## Method Details

### getImageDescriptor

protected ImageDescriptor getImageDescriptor(String relativePath)
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the image descriptor with the given relative path.

### getNavigator

public IResourceNavigator getNavigator()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the resource navigator.

### handleKeyPressed

public void handleKeyPressed(KeyEvent event)
Deprecated, for removal: This API element is subject to removal in a future version.
Handles a key pressed event by invoking the appropriate action. Does nothing by default.

### makeActions

protected abstract void makeActions()
Deprecated, for removal: This API element is subject to removal in a future version.
Makes the actions contained in this action group.

### runDefaultAction

public void runDefaultAction(IStructuredSelection selection)
Deprecated, for removal: This API element is subject to removal in a future version.
Runs the default action in the group. Does nothing by default.

Parameters:
  `selection` - the current selection